# La classe Parle\Token

(PECL parle >= 0.5.2)

## Introduction

Cette classe représente un jeton. L'analyseur lexical retourne des instances de cette classe.

## Synopsis de la classe

class Parle\Token {
/* Constantes */
const int EOI = 0;
const int UNKNOWN = -1;
const int SKIP = -2;
/* Propriétés */
public int $id;
public string $value;
/* Méthodes */
}

## Propriétés

id

  L'identifiant du jeton.

value

  La valeur du jeton.

## Constantes pré-définies

`Parle\Token::EOI`

  L'identifiant de jeton de fin d'entrée.

`Parle\Token::UNKNOWN`

  L'identifiant de jeton inconnu.

`Parle\Token::SKIP`

  L'identifiant de jeton à ignorer.